RunReveal
curl -X GET "https://api.runreveal.com/logs/primarykeys"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "success": true
}

GetTableSchema returns the column definitions and data skipping indexes for a table.

GetTableSchema returns the column definitions and data skipping indexes for a table.

POST
/logs/query/get-schema

Request Body

application/jsonRequired

tableNamestring

curl -X POST "https://api.runreveal.com/logs/query/get-schema" \
  -H "Content-Type: application/json" \
  -d '{
    "tableName": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "columns": [
      {
        "comment": "string",
        "inPrimaryKey": true,
        "name": "string",
        "type": "string"
      }
    ],
    "indexes": [
      {
        "expr": "string",
        "name": "string",
        "type": "string"
      }
    ]
  },
  "success": true
}

QuerySqlText operation

POST
/logs/query/get-sql

Request Body

application/jsonRequired

languagestring

textstring

curl -X POST "https://api.runreveal.com/logs/query/get-sql" \
  -H "Content-Type: application/json" \
  -d '{
    "language": "string",
    "text": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "sql": "string"
  },
  "success": true
}

QueryHistory operation

GET
/logs/query/historical

Query Parameters

offsetinteger

curl -X GET "https://api.runreveal.com/logs/query/historical?offset=0"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "actorEmail": "string",
      "aiText": "string",
      "query": "string",
      "rowID": 0,
      "rowsReturned": 0,
      "source": "string",
      "timestamp": {}
    }
  ],
  "success": true
}

ListTables lists the tables available to query in the workspace.

ListTables lists the tables available to query in the workspace.

POST
/logs/query/list-tables

Request Body

application/jsonRequired
curl -X POST "https://api.runreveal.com/logs/query/list-tables" \
  -H "Content-Type: application/json" \
  -d '{}'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "tables": [
      "string"
    ]
  },
  "success": true
}

LogsQueryV2Cancel operation

POST
/logs/query/v2/cancel

Request Body

application/jsonRequired

queryIDstring

curl -X POST "https://api.runreveal.com/logs/query/v2/cancel" \
  -H "Content-Type: application/json" \
  -d '{
    "queryID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "aiText": "string",
    "chRoleName": "string",
    "columnTypes": [
      "string"
    ],
    "columns": [
      "string"
    ],
    "completedAt": {},
    "createdAt": {},
    "description": "string",
    "error": "string",
    "hasResults": true,
    "investigations": [
      "string"
    ],
    "isAsync": true,
    "limit": 0,
    "offset": 0,
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "pqlText": "string",
    "query": "string",
    "queryID": "string",
    "resultCount": 0,
    "rows": [
      [
        {}
      ]
    ],
    "runTime": 0,
    "runTimeMs": 0,
    "source": "string",
    "startedAt": {},
    "status": "string",
    "totalResults": 0,
    "totalRows": 0
  },
  "success": true
}

LogsQueryV2History operation

POST
/logs/query/v2/history

Request Body

application/jsonRequired

asyncOnlyboolean

investigationsarray<string>

limitinteger

myQueriesboolean

offsetinteger

searchstring

statusstring

curl -X POST "https://api.runreveal.com/logs/query/v2/history" \
  -H "Content-Type: application/json" \
  -d '{
    "asyncOnly": true,
    "investigations": [
      "string"
    ],
    "limit": 0,
    "myQueries": true,
    "offset": 0,
    "search": "string",
    "status": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "hasMore": true,
    "results": [
      {
        "aiText": "string",
        "chRoleName": "string",
        "columnTypes": [
          "string"
        ],
        "columns": [
          "string"
        ],
        "completedAt": {},
        "createdAt": {},
        "description": "string",
        "error": "string",
        "hasResults": true,
        "investigations": [
          "string"
        ],
        "isAsync": true,
        "limit": 0,
        "offset": 0,
        "parameters": {
          "property1": "string",
          "property2": "string"
        },
        "pqlText": "string",
        "query": "string",
        "queryID": "string",
        "resultCount": 0,
        "rows": [
          [
            {}
          ]
        ],
        "runTime": 0,
        "runTimeMs": 0,
        "source": "string",
        "startedAt": {},
        "status": "string",
        "totalResults": 0,
        "totalRows": 0
      }
    ]
  },
  "success": true
}

QueryHistoryUpdateMetadata updates the metadata for a specific query history

QueryHistoryUpdateMetadata updates the metadata for a specific query history

POST
/logs/query/v2/history/update-metadata

Request Body

application/jsonRequired

descriptionstring

investigationsarray<string>

queryIDstring

curl -X POST "https://api.runreveal.com/logs/query/v2/history/update-metadata" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "string",
    "investigations": [
      "string"
    ],
    "queryID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {},
  "success": true
}

LogsQueryV2Status operation

POST
/logs/query/v2/status

Request Body

application/jsonRequired

idstring

curl -X POST "https://api.runreveal.com/logs/query/v2/status" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "aiText": "string",
    "chRoleName": "string",
    "columnTypes": [
      "string"
    ],
    "columns": [
      "string"
    ],
    "completedAt": {},
    "createdAt": {},
    "description": "string",
    "error": "string",
    "hasResults": true,
    "investigations": [
      "string"
    ],
    "isAsync": true,
    "limit": 0,
    "offset": 0,
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "pqlText": "string",
    "query": "string",
    "queryID": "string",
    "resultCount": 0,
    "rows": [
      [
        {}
      ]
    ],
    "runTime": 0,
    "runTimeMs": 0,
    "source": "string",
    "startedAt": {},
    "status": "string",
    "totalResults": 0,
    "totalRows": 0
  },
  "success": true
}

RunQuery operation

POST
/logs/query/v3

Request Body

application/jsonRequired

asyncboolean

investigationsarray<string>

limitinteger

parametersobject

progressboolean

querystring

sourcestring

curl -X POST "https://api.runreveal.com/logs/query/v3" \
  -H "Content-Type: application/json" \
  -d '{
    "async": true,
    "investigations": [
      "string"
    ],
    "limit": 0,
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "progress": true,
    "query": "string",
    "source": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "aiText": "string",
    "chRoleName": "string",
    "columnTypes": [
      "string"
    ],
    "columns": [
      "string"
    ],
    "completedAt": {},
    "createdAt": {},
    "description": "string",
    "error": "string",
    "hasResults": true,
    "investigations": [
      "string"
    ],
    "isAsync": true,
    "limit": 0,
    "offset": 0,
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "pqlText": "string",
    "query": "string",
    "queryID": "string",
    "resultCount": 0,
    "rows": [
      [
        {}
      ]
    ],
    "runTime": 0,
    "runTimeMs": 0,
    "source": "string",
    "startedAt": {},
    "status": "string",
    "totalResults": 0,
    "totalRows": 0
  },
  "success": true
}

LogsQueryV3Results reads the query log from the database and returns paginated query results from ClickHouse.

LogsQueryV3Results reads the query log from the database and returns paginated query results from ClickHouse.

POST
/logs/query/v3/results

Request Body

application/jsonRequired

limitinteger

offsetinteger

queryIDstring

curl -X POST "https://api.runreveal.com/logs/query/v3/results" \
  -H "Content-Type: application/json" \
  -d '{
    "limit": 0,
    "offset": 0,
    "queryID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "aiText": "string",
    "chRoleName": "string",
    "columnTypes": [
      "string"
    ],
    "columns": [
      "string"
    ],
    "completedAt": {},
    "createdAt": {},
    "description": "string",
    "error": "string",
    "hasResults": true,
    "investigations": [
      "string"
    ],
    "isAsync": true,
    "limit": 0,
    "offset": 0,
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "pqlText": "string",
    "query": "string",
    "queryID": "string",
    "resultCount": 0,
    "rows": [
      [
        {}
      ]
    ],
    "runTime": 0,
    "runTimeMs": 0,
    "source": "string",
    "startedAt": {},
    "status": "string",
    "totalResults": 0,
    "totalRows": 0
  },
  "success": true
}